<?xml version="1.0" encoding="utf-8" ?>
<configuration>

  <configSections>
    <section name="log4net" type="System.Configuration.IgnoreSectionHandler" />
    <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net" />
  </configSections>

  <appSettings>
  </appSettings>

  <log4net>

    <appender name="ConsoleAppender" type="log4net.Appender.ConsoleAppender">
      <layout type="log4net.Layout.PatternLayout">
        <param name="ConversionPattern" value="Tracer %m%n" />
      </layout>
    </appender>

    <appender name="NetSendAppender" type="log4net.Appender.NetSendAppender">
      <threshold value="ERROR" />
      <server value="localhost" />
      <recipient value="keysystems" />
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date [%thread] %-5level %logger [%ndc] - %message%newline" />
      </layout>
    </appender>

    <appender name="EventLogAppender" type="log4net.Appender.EventLogAppender" >
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date [%thread] %-5level %logger [%ndc] - %message%newline" />
      </layout>
    </appender>

    <appender name="UdpAppender" type="log4net.Appender.UdpAppender">
      <param name="RemoteAddress" value="127.0.0.1" />
      <param name="RemotePort" value="8080" />
      <layout type="log4net.Layout.XmlLayout">
        <param name="Prefix" value="" />
      </layout>
    </appender>

    <appender name="FileAppender.Debug" type="log4net.Appender.RollingFileAppender">
      <lockingmodel type="log4net.Appender.FileAppender+MinimalLock"/>
      <file type="log4net.Util.PatternString" value="%property{LogFile}" />
      <appendToFile value="true" />
      <rollingStyle value="Date" />
      <datePattern value="yyyyMMdd'.txt'" />
      <maximumFileSize value="10MB" />
      <maxSizeRollBackups value="100" />
      <staticLogFileName value="false" />
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="--------------------------------------------------%newline%date %-5level [thread:%thread] [%ndc] %message%newline%location%newline" />
      </layout>
    </appender>

    <appender name="FileAppender.Release" type="log4net.Appender.RollingFileAppender">
      <lockingmodel type="log4net.Appender.FileAppender+MinimalLock"/>
      <file type="log4net.Util.PatternString" value="%property{LogFile}" />
      <appendToFile value="true" />
      <rollingStyle value="Date" />
      <datePattern value="yyyyMMdd'.txt'" />
      <maximumFileSize value="10MB" />
      <maxSizeRollBackups value="100" />
      <staticLogFileName value="false" />
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="--------------------------------------------------%newline%date %-5level [thread:%thread] [%ndc] %message%newline" />
      </layout>
    </appender>

    <appender name="UpdateAppender" type="log4net.Appender.FileAppender">
      <lockingmodel type="log4net.Appender.FileAppender+MinimalLock"/>
      <file type="log4net.Util.PatternString" value="%property{Update}" />
      <appendToFile value="true" />
      <maximumFileSize value="10MB" />
      <maxSizeRollBackups value="10" />
      <staticLogFileName value="true" />
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="[%d{yyyy-MM-dd HH:mm:ss}] %message%newline" />
      </layout>
    </appender>

    <appender name="Repmaker.Logging" type="log4net.Appender.FileAppender">
      <lockingmodel type="log4net.Appender.FileAppender+MinimalLock"/>
      <file type="log4net.Util.PatternString" value="%property{Repmaker}" />
      <appendToFile value="true" />
      <maximumFileSize value="10MB" />
      <maxSizeRollBackups value="10" />
      <staticLogFileName value="false" />
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="----------------------------------------------------------------------------------------------------------------------------------------------------------------&#13;%date  %-5level %message%newline" />
      </layout>
    </appender>   
    
    <root>
      <level value="ALL" />
    </root>

    <logger name="Keysystems.MSU.Debug">
      <level value="DEBUG" />
      <appender-ref ref="FileAppender.Debug" />
    </logger>

    <logger name="Keysystems.MSU.Release">
      <level value="RELEASE" />
      <appender-ref ref="FileAppender.Release" />
    </logger>

    <logger name="Keysystems.Core.Debug">
      <level value="DEBUG" />
      <appender-ref ref="FileAppender.Debug" />
    </logger>

    <logger name="Keysystems.Core.Release">
      <level value="RELEASE" />
      <appender-ref ref="FileAppender.Release" />
    </logger>

    <logger name="UpdateAppender">
      <level value="ALL" />
      <appender-ref ref="UpdateAppender" />
    </logger>

    <logger name="Repmaker.Logging">
      <level value="ALL" />
      <appender-ref ref="Repmaker.Logging" />
    </logger>
    
  </log4net>
</configuration>